let util = require('../../../../utils/util')
let apiArr = require('../../../../api/partner')
// packages/partner/pages/orderDesc/orderDesc.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    type: '',
    install_id:"",
    Info:{}
  },
  
  getNewOrderInfo(){
    let that = this
  
    util.postUrl4(apiArr.getUninstallInfo,{
        uninstall_id:Number(that.data.install_id)
    },res=>{
      res.uninstall_imgs = res.uninstall_imgs.startsWith('http')?res.uninstall_imgs : util.img_url + res.uninstall_imgs
      that.setData({
        Info:res
      })
    })
  },

  headerPicClick() {
    wx.previewImage({
      urls: [this.data.Info.uninstall_imgs]
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let that = this;
    that.setData({
      install_id:options.id,
    })
    that.getNewOrderInfo()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})